Skip to main content
GET
/
v1
/
assistant-deployment
/
get-all-phone-deployment
/
{assistantId}
get-all-phone-deployment
curl --request GET \
  --url https://assistant-01.in.rapida.ai/v1/assistant-deployment/get-all-phone-deployment/{assistantId} \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "success": true,
  "data": [
    {
      "id": "2230142097179373568",
      "assistantId": "2227823180112723968",
      "status": "active"
    }
  ],
  "paginated": {
    "currentPage": 1,
    "totalItem": 1
  }
}

Authorizations

x-api-key
string
header
required

API key from Rapida credentials.

Headers

x-client-source
enum<string>
default:sdk

Client source identifier. SDK clients send this automatically.

Available options:
sdk
x-auth-id
string

Optional user identifier to propagate with the request.

Path Parameters

assistantId
string
required

Assistant ID for the deployments.

Pattern: ^[0-9]+$
Example:

"2227823180112723968"

Query Parameters

page
integer<uint32>
default:1

Page number to retrieve.

pageSize
integer<uint32>
default:20

Number of deployments to return per page.

criterias
string

JSON encoded array of Criteria objects.

Response

Assistant phone deployments.

code
integer<int32>
Example:

200

success
boolean
Example:

true

data
object[]
error
object

Platform error response details. errorCode is a stable platform error code. See PlatformErrorCode for documented code/message mappings.

paginated
object